Bug 183357 - SEGV when connecting using command
SEGV when connecting using command
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sylpheed-claws (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-28 11:32 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 07:00:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-02-28 11:32:52 EST
Configure sylpheed to use SSH for connecting to the imap server, by going to the
'Advanced' tab in the account preferences, checking 'Use command to communicate
with server' and entering a suitable command (such as 'ssh my.mail.host exec
/usr/sbin/imapd). 

Sylpheed seems to segfault upon trying to connect.
Comment 1 David Woodhouse 2006-02-28 11:33:56 EST
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1212519504 (LWP 29999)]
0x00afc853 in memcpy () from /lib/libc.so.6
(gdb) bt
#0  0x00afc853 in memcpy () from /lib/libc.so.6
#1  0x0084b5e6 in mailstream_write () from /usr/lib/libetpan.so.6
#2  0x0084a5b0 in mailstream_send_data_crlf () from /usr/lib/libetpan.so.6
#3  0x0085f535 in mailimap_token_send () from /usr/lib/libetpan.so.6
#4  0x0085f5a4 in mailimap_tag_send () from /usr/lib/libetpan.so.6
#5  0x00851510 in mailimap_new () from /usr/lib/libetpan.so.6
#6  0x00852d67 in mailimap_list () from /usr/lib/libetpan.so.6
#7  0x0818425f in list_run (op=0x9aaad00) at imap-thread.c:450
#8  0x0819eee7 in thread_run (data=0x9aa9a68) at etpan-thread-manager.c:297
#9  0x00bbb0db in start_thread () from /lib/libpthread.so.0
#10 0x00b54c5e in clone () from /lib/libc.so.6
Comment 2 Andreas Bierfert 2006-02-28 16:31:12 EST
Will take a look at it... seems more like a libetpan error so...
Comment 4 Andreas Bierfert 2006-03-02 04:38:05 EST
Could you start claws with --debug and give the output before the crash? Thanks.
Comment 5 David Woodhouse 2006-03-02 04:41:04 EST
folderview.c:1879:Folder INBOX is selected
folderview.c:1897:Opening Folder INBOX...

** (sylpheed-claws:26669): CRITICAL **: gtkut_ctree_get_nth_from_node: assertion
`node != NULL' failed

(sylpheed-claws:26669): Gtk-CRITICAL **: gtk_ctree_select: assertion `node !=
NULL' failed

** (sylpheed-claws:26669): CRITICAL **: gtkut_ctree_get_nth_from_node: assertion
`node != NULL' failed

(sylpheed-claws:26669): Gtk-CRITICAL **: gtk_ctree_select: assertion `node !=
NULL' failed
[09:45:53] IMAP4< * PREAUTH [CAPABILITY IMAP4rev1 SORT THREAD=REFERENCES
MULTIAPPEND UNSELECT IDLE CHILDREN LISTEXT LIST-SUBSCRIBED NAMESPACE] Logged in
as dwmw2
imap-thread.c:193:generic_cb
imap-thread.c:2388:connect_cmd ok 1
** Message: IMAP connection is pre-authenticated

imap.c:3344:locking session
imap-thread.c:466:imap list - begin
Segmentation fault
Comment 6 Andreas Bierfert 2006-03-30 09:24:00 EST
Could you try with latest etpan in fc5 or devel please ?
Comment 7 Colin Leroy 2006-04-15 11:04:51 EDT
Hi,

This bug is fixed in Sylpheed-Claws 2.1.0cvs48. It will be in the next release,
2.1.1, planned for Monday.

The patch is visible at
http://colino.net/sylpheed-claws/getpatchset.php3?ver=2.1.0cvs48

HTH,
Colin
Comment 9 Andreas Bierfert 2006-04-22 07:00:27 EDT
:) ok thanks for the response

Note You need to log in before you can comment on or make changes to this bug.